> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prosights.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Recreate



## OpenAPI

````yaml openapi.json post /enterprise-api/recreate/
openapi: 3.1.0
info:
  title: Recreate API
  description: API for the Recreate app
  version: 1.0.0
servers:
  - url: https://prism-api.prosights.co
security: []
tags: []
paths:
  /enterprise-api/recreate/:
    post:
      tags:
        - Recreate
      summary: Create Recreate
      operationId: enterprise_create_recreate_enterprise_api_recreate__post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_enterprise_create_recreate_enterprise_api_recreate__post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseApiResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_enterprise_create_recreate_enterprise_api_recreate__post:
      properties:
        file:
          type: string
          format: binary
          title: File
          description: Raw file bytes. Must be PDF or image based file.
        selected_pages:
          type: string
          title: Selected Pages
          description: >-
            One - indexed comma separated variable of page numbers or ranges.
            e.g. 1-11,12,14,15
        is_xls_process_charts_enabled:
          type: string
          title: Is Xls Process Charts Enabled
          default: 'false'
          enum:
            - 'true'
            - 'false'
          description: Set this to 'true' to turn on chart processing.
        is_xls_process_tables_enabled:
          type: string
          title: Is Xls Process Tables Enabled
          default: 'true'
          enum:
            - 'true'
            - 'false'
          description: Set this to 'true' to turn on table processing.
        is_ppt_process_enabled:
          type: string
          title: Is Ppt Process Enabled
          default: 'false'
          enum:
            - 'true'
            - 'false'
          description: Set this to 'true' to turn on PPT processing.
        table_clustering_mode:
          anyOf:
            - type: string
              default: page
              enum:
                - page
                - document
            - type: 'null'
          title: Table Clustering Mode
          description: >-
            Controls how table clustering is handled. In page mode the engine
            detects for distinct tables on a page basis. In document mode the
            engine detects for distinct tables on a document basis (i.e. a table
            that spans multiple pages will be returned as one table).
      type: object
      required:
        - file
        - selected_pages
      title: Body_enterprise_create_recreate_enterprise_api_recreate__post
    EnterpriseApiResponseModel:
      properties:
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
          title: Status
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
      type: object
      required:
        - status
      title: EnterpriseApiResponseModel
      description: Model for the response of the enterprise API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Prosights-Api-Key

````